Bug 126785 - When synchronising Palm->Evolution international characters (greek) are translated/transcoded wrongly
When synchronising Palm->Evolution international characters (greek) are trans...
Status: CLOSED DUPLICATE of bug 126613
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
http://rohirrim.org/evo.jpg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-26 15:54 EDT by rohirrim
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 17:02:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rohirrim 2004-06-26 15:54:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040618

Description of problem:
I am trying to get my palm to synchronise with evolution. The device
is a PalmOne Tungsten T3, running the standard palmos 5.2 ROM + PiLOC
(http://palm.penreader.com/index.html), the greek version in
particular (http://greek.palm.penreader.com/Greek_PiLoc.html) in order
to support greek characters. 



I've configured my system to read and write greek, based on the
instructions found here:
http://www.cs.ucl.ac.uk/staff/s.zachariadis/greek.html

I can correctly read and write greek in evolution, sending & receiving
greek email or having greek contacts. The problem is that when
synchronising my Palm with evolution, the greek characters are wrongly
transcoded and displayed. I suppose that this is an encoding
translation problem. The problem is shown here:
http://rohirrim.org/evo.jpg

The "Full Name" and "File As" fields should be in the greek alphabet
but isn't. The "Job Title" field was typed in evolution in greek and
thus displays correctly.

As such, in synchronising the palm with evolution, greek (and possibly
other international characters) are displayed incorrectly - i guess
that this is an encoding translation problem.


I would be willing to send a developer my addressbook database etc.,
but I would rather not have it posted on bugzilla...

Thank you for your help, work & great product and (obviously) feel
free to email me any queries.

[note that as there's a bug in the glib2 shipped with fedora, you have
to have the fix mentioned in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=126613 installed.
gpilotd crashes otherwise].

Version-Release number of selected component (if applicable):
evolution-1.4.6-2

How reproducible:
Always

Steps to Reproduce:
1. Have some greek data on the addressbook/datebook/todo list on the
pilot.
2. Synchronise with evolution.
3. Greek characters on evolution are incorrectly transcoded/displayed. 
    

Actual Results:  Synchronisation successfuly completed, but the greek
characters are not, well, greek anymore and are illegible.

Expected Results:  Greek data should be displayed in greek letters in
evolution.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:13:03 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Dave Malcolm 2005-04-27 14:36:28 EDT
Probably worth checking upstream as well: http://bugzilla.gnome.org/
Comment 4 John Thacker 2006-10-25 17:02:00 EDT
Closing per lack of response.  Also note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  If this still occurs on FC3 or FC4, please
assign to that version and Fedora Legacy.  If it still occurs on FC5 or FC6,
please reopen and assign to the correct version.
Comment 5 John Thacker 2006-10-25 17:02:57 EDT

*** This bug has been marked as a duplicate of 126613 ***

Note You need to log in before you can comment on or make changes to this bug.